Package: org.codehaus.groovy.runtime

## [Java] Class InvokerInvocationException

- org.codehaus.groovy.runtime.InvokerInvocationException

-     public class InvokerInvocationException
      extends GroovyRuntimeException

  An exception thrown if a method is called and an exception occurred

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InvokerInvocationException(InvocationTargetException e)`
    `InvokerInvocationException(Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getMessage()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

- - ### Constructor Detail

    - #### public InvokerInvocationException(InvocationTargetException e)

    - #### public InvokerInvocationException(Throwable cause)

  - ### Method Detail

    - #### @Override
      public String getMessage()